%define	name	trueprint
%define	version	5.3
%define	release	1
%define	prefix	/usr

Summary:	trueprint - print program listings on postscript printer.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Development/Tools
URL:		ftp://ftp.gnu.org/pub/gnu/trueprint/
Vendor:		Lezz Giles <giles@world.std.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
trueprint is a general purpose program printing program. It tries to
produce everything that anybody could need in a program printout without
the need for large numbers of switches or pipelines. trueprint can
currently handle C, C++, Verilog, shell (including ksh), perl, pascal,
listing files and plain text files.

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}"
./configure --prefix=%{prefix}
make

# Run Tests.
make check

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin \
	 ${RPM_BUILD_ROOT}%{prefix}/info \
	 ${RPM_BUILD_ROOT}%{prefix}/lib \
	 ${RPM_BUILD_ROOT}%{prefix}/man/man1

make DESTDIR=${RPM_BUILD_ROOT} install-strip

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%post
/sbin/install-info %{prefix}/info/trueprint.info.gz %{prefix}/info/dir

%preun
/sbin/install-info --delete %{prefix}/info/trueprint.info.gz %{prefix}/info/dir

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README doc/trueprint.texi
#%config(noreplace) %{prefix}/lib/printers
%{prefix}/bin/trueprint
%{prefix}/info/trueprint.info.gz
%{prefix}/man/man1/trueprint.1*

%changelog
* Tue Jul 10 2001 Ryan Weaver <ryanw@falsehope.com>
  [trueprint-5.3-1]
- Trueprint now uses autoconf and automake (Paul Smith, and the
  book GNU Autoconf, Automake and Libtool by Gary V. Vaughan et al,
  published by New Riders).
- Mention of trueprint.uu removed from README (Othmar Pasteka).
- Suffix .pike added for pike programs (Othmar Pasteka).
- Added include of sys/types.h before sys/stat.h to support FreeBSD
  (Dmitry Sivachenko).
- README.mswin removed (John Morey).
- If there isn't an lp or lpr command on your system when you run
  configure, trueprint will now be built to send postscript output
  to stdout by default (Othmar Pasteka).
- Choice options like --landscape and --option were broken due to a
  serious bug in options.c (Paul Smith).
- Added Canon LBP 3260 (Bjorn Wingman).
- Added HP Laserjet 1100 (Peter Green).
- Fix for handling arithmetic << in Perl (Peter Green).
- Added --new-sheet-after-file and --no-new-sheet-after-file, from a
  suggestion by David Karr.

* Fri Feb 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [trueprint-5.2.1-1]
- Fixed bug that ignored the double-sided/single-sided setting
  for printers in the printers file.

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [trueprint-5.2-1]
- Added NEC SuperScript 870 printer details (Craig Pinfold).
- Added A4 settings for HP Laserjet 4 Si MX (Ian Brown).
- Use configure to find the proper install tool (George Lindholm).
- Use mandir and man1dir vars in Makefile properly (Michael Somos).
- Added missing colon to printers file (Michael Somos).
- Handle unknown language with a message instead of a core dump
  (Craig Pinfold).
- Added -R to specify postscript level (Ian Brown).
- Initialize use_environment in main() (Ian Brown and others).
- Added <stdlib.h> to lang_java.c to get abort() (Ian Brown).
- C++ comments are now recognized in C code.  OK, this isn't ANSI
  but GCC is a better standard than ANSI any day... :-)  This solves
  a problem reported by Bruce Tenison.
- Changes made to support compiling for Microsoft Windows
  platforms are added (Ian Brown).
- Option -u added: --u will suppress even minimal headers, footers
  and left margin line (suggested by... )
- When using the perl5 "use subs" pragma, trueprint incorrectly
  identifies "s" as a subroutine.  This is fixed in lang_perl.c with
  a fix submitted by Jim Eshleman.
- Added printer HP Laserjet 8100N (Kris Berbeeck).
- Added printer CalComp (sorry, I lost the name of the contributor -
  send me a mail and I'll add it in the next release)
- Added support for language pike (see pike.idonex.se) (Martin Bahr).
- Rewritten man page (see author in the man page itself).

* Thu Nov  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [trueprint-5.1-1]
- Still patching Makefile to make rpm installation easier.

- make check now uses gmtime instead of localtime, so you
  don't need to live in Boston to have the tests succeed.
- make check now ignores any DEFAULT_OPTS that might be set
  in trueprint.h.
- If the output is sent to a postscript file then it is
  no longer created with the execute bits set.
- In version 5.0 the documentation stated that the default
  behaviour was to NOT have page breaks after functions; however
  the code disagreed with the documentation.  The code has been
  changed to fit.  If you want to change this back, set
  DEFAULT_OPTS in trueprint.h to "--page-break-after-function"
- .pm is now recognized as a suffix for a perl file.
- Minor tweaks were made to the Makefile to make it easier
  to generate a RPM package.
- Postscript comments generated correctly with page information.
- With no line numbers or braces depth, a thin line is still
  printed on the lhs of each page.
- In headers, footers and other strings, %c and %C can be used
  to get the modification time of the file in short or long format.
- When using stdin, the "filename" in headers and footers appears
  as "-" instead of "stdin" as it did in earlier versions.
- -r/--redirect-output sends output to .ps file named after 1st arg
- -L/--minimum-line-length sets the minimum line length for
  lines produced using intelligent line wrap.
- A dummy gettext() is now included in case gettext() doesn't exist
  on the system.
- The standard GNU files getopt.c, getopt1.c and getopt.h are included
  in case the system doesn't have getopt_long.
- A bug in shell language handling which caused a coredump is fixed.
- Perl should print POD documentation as comments.
- I had many people suggest that the printers file should
  move; I'm not moving it yet though.  My plan is to change
  the format of the printers file to include (among other things)
  options to be used for each queue, the possibility of multiple
  virtual printers for one queue, passing options through to
  lp or lpr (so you can e.g. select paper from different trays),
  and (most important) a version id so that all future versions
  of trueprint will be able to read older printer files.  When
  I make this change I'll move the printers file so that older
  versions of trueprint will still be able to find a printers
  file they understand in /etc.
- Various other minor changes were also made.

* Thu Jul 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [trueprint-5.0-1]
- Initial RPM Build
- Changed code to adhere to GNU coding standards.
- Added long options.  Short options that used to start
- with '+' now start with '--', e.g. +I is now --I.
- Default is "off" for page breaks after function calls.
- Added texinfo documentation.
